apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
    name: transmission-ingress
    namespace: home-stuff
    annotations:
        kubernetes.io/ingress.class: nginx
        cert-manager.io/issuer: vault-issuer
        cert-manager.io/common-name: transmission.k3s.local
spec:
    rules:
        - host: ENC[AES256_GCM,data:Jdfz+YUY1Urx5cmfsegTzv4K4tP9NQ==,iv:8qvW9yulRspSNjg5Ovyhi8y6ll/Rka05y5BqUibJKfI=,tag:+7aLPkH+Xb4rSno8FG+/eA==,type:str]
          http:
            paths:
                - path: ENC[AES256_GCM,data:6w==,iv:+So+31o2Svr857G2Nv/7hhK8KH0OA0ZlM8TAgzsBbmc=,tag:0dwB36g9vCN7sFJwXjP85w==,type:str]
                  pathType: ENC[AES256_GCM,data:FaQHs8M/,iv:0HzvUG2BUk5KyHu4QCLc4gi8k1ua2fHFBylilQ1qG1s=,tag:HZiXimHkoKtqa74euaTulg==,type:str]
                  backend:
                    service:
                        name: ENC[AES256_GCM,data:puq4EnXUHinHjukb,iv:JL9O8gXSI9LgN7wJN8tKKRWOfNnuwnP0EVvyfpOboUc=,tag:yx+C8YSxJlbnTe4fxuuPeQ==,type:str]
                        port:
                            number: ENC[AES256_GCM,data:vq8+OA==,iv:5+bysY1a2L/snk6wFzDgMkRW7nu+KPlq5CapLnpWh1U=,tag:BwMZgOR17GUe2LDPmYUwHA==,type:int]
    #ENC[AES256_GCM,data:x6va06cYVpeFY7tXj1YI5hgdY1KzqBc5eq+U+NTZEyN2kabALw2nM5iF31PfQ9LAU+nhqD/7q4nBKaZAqwza8rsJou01uk/AUFOF4fPq4pPKTTfU8iE4pUSO4TRZ,iv:NE41xaztsQYeI2SEssQ3WgEsrckIZP/yCZCs+0eIWB4=,tag:YGJs9imJmDtmh4TMtj0r8Q==,type:comment]
    tls:
        - hosts:
            - ENC[AES256_GCM,data:GRy5xVz+XDXSfCgLsk1Mg44z/ghZrQ==,iv:l6EpyU8qjnNjuAatwH57MeqpelcQDiPyhRpTE/XmAuk=,tag:hLmwcg8tPl5URtgBizg0cw==,type:str]
          secretName: ENC[AES256_GCM,data:erI3zq+jVMbLhuuyv8NyIOKxxYjw,iv:xMoqMhrQwQ4pBGAL+txZtubXfQ/nPNDm9iSaBqTSsPQ=,tag:wop8WRmFBAOOE+btXxF2NA==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSAwMkIwdys0b1llTitBMTU3
            NC9HYmlWQnZJRnFDR1dQOWtVZDJ1bDR6bUIwCjJoTGMwb08xcXA0c3RZSFplQkk2
            dUxlZ0RaWHhPRVIzK2g2NWNOdnkyNkEKLS0tIEptR25HV3dQWXFnUTFLVHgvVlBX
            dDEvMEFsMk1zdzRRYk12elE2MEZ1TWMKW2RpHqRM3WPJbTBSG+etBFOFT83K5lAa
            030T8SXlW8FXsD08l6oig7grJ89mghj3CX1HsRyAUZeDdRGy5ozp5Q==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:31:01Z"
    mac: ENC[AES256_GCM,data:9hHRgk2YkCtR9b567aE4yddr8I37PaIwaBqFEj5E95oNj7ChBtwMMmlKi+upL3ISzyy7b1nVNv+tcMChvuZNe8NnBM3ywHoBwVFnfjeg5dbv9ao6b2onBJPbK5I0JHsPK/gywfx2BK+10e2uX0XWY3TOMdXbfPhGFRCr19wNfvM=,iv:Arw6k5XyLhOhfJ0KEqJdZY+qXE9ef7ThTZDucQFhqvI=,tag:hd3+b/swIRr1K9ggqp/6hA==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
